p = Parea(api_key="PAREA_API_KEY") # replace with your API key
test_collection = p.get_collection(test_collection_identifier="Math problems")
const p = new Parea("PAREA_API_KEY"); // replace with your API key
const response = await p.getCollection("Math problems");
curl --location 'https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1/collection/121' \
--header 'x-api-key: PAREA_API_KEY'
{
"column_names": [
"language",
"framework"
],
"created_at": "2021-06-01T00:00:00Z",
"id": 5000,
"last_updated_at": "2021-06-01T00:00:00Z",
"name": "Hello World Programs",
"test_cases": {
"12345": {
"id": 12345,
"inputs": {
"framework": "fastapi",
"language": "python"
},
"tags": [
"easy"
],
"target": "a good program here",
"test_case_collection_id": 5000
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Datasets
Get Test Case Collection By Identifier
Fetches dataset/test case collection by its ID or name.
Args: test_collection_identifier (Union[str, int]): ID or name of the test case collection/dataset.
GET
/
api
/
parea
/
v1
/
collection
/
{test_collection_identifier}
p = Parea(api_key="PAREA_API_KEY") # replace with your API key
test_collection = p.get_collection(test_collection_identifier="Math problems")
const p = new Parea("PAREA_API_KEY"); // replace with your API key
const response = await p.getCollection("Math problems");
curl --location 'https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1/collection/121' \
--header 'x-api-key: PAREA_API_KEY'
{
"column_names": [
"language",
"framework"
],
"created_at": "2021-06-01T00:00:00Z",
"id": 5000,
"last_updated_at": "2021-06-01T00:00:00Z",
"name": "Hello World Programs",
"test_cases": {
"12345": {
"id": 12345,
"inputs": {
"framework": "fastapi",
"language": "python"
},
"tags": [
"easy"
],
"target": "a good program here",
"test_case_collection_id": 5000
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}p = Parea(api_key="PAREA_API_KEY") # replace with your API key
test_collection = p.get_collection(test_collection_identifier="Math problems")
const p = new Parea("PAREA_API_KEY"); // replace with your API key
const response = await p.getCollection("Math problems");
curl --location 'https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1/collection/121' \
--header 'x-api-key: PAREA_API_KEY'
Authorizations
APIKeyHeaderAPIKeyHeaderAPIKeyHeader
Path Parameters
Response
GetTestCaseCollectionResponseSchema · object | null
Successful Response
Unique identifier for the test case collection
Name of the test case collection
Column names for the test case collection
Timestamp when the test case collection was created
Timestamp when the test case collection was last updated
Dictionary mapping test case ID to test case
Show child attributes
Show child attributes
Was this page helpful?

